## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global _without_tests 1
%bcond_without  tests

Name:           python-pytest-asyncio
Version:        0.26.0
Release:        %autorelease
Summary:        Pytest support for asyncio
License:        Apache-2.0
URL:            https://github.com/pytest-dev/pytest-asyncio
Source:         %{pypi_source pytest_asyncio}
BuildArch:      noarch
BuildRequires:  python3-devel

%global _description %{expand:
pytest-asyncio is a pytest plugin.  It facilitates testing of code that uses the
asyncio library.  Specifically, pytest-asyncio provides support for coroutines
as test functions.  This allows users to await code inside their tests.}


%description %{_description}


%package -n python3-pytest-asyncio
Summary:        %{summary}


%description -n python3-pytest-asyncio %{_description}


%prep
%autosetup -n pytest_asyncio-%{version}

# disable code quality checks in "testing" extras
sed -e '/coverage >=/d' \
    -i setup.cfg

%if %{defined el9}
# EL9 has setuptools_scm 6.0.1 that works
sed -e '/setuptools_scm/ s/>=6.2//' -i pyproject.toml
%endif


%generate_buildrequires
# upstream also has tox that invokes make that invokes pytest...
# we install the [testing] extra and will invoke pytest directly instead
%pyproject_buildrequires %{?with_tests:-x testing}


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files -l pytest_asyncio


%check
%if %{with tests}
# Some of the upstream tests are really picky about the number of warnings
# emitted.  This can cause failures for us in rawhide with the latest versions
# of pytest and pre-release versions of python, so we'll skip those tests.
export PYTEST_ADDOPTS="-k 'not test_can_use_explicit_event_loop_fixture and \
not test_event_loop_fixture_finalizer_raises_warning_when_fixture_leaves_loop_unclosed and \
not test_event_loop_fixture_finalizer_raises_warning_when_test_leaves_loop_unclosed and \
not test_event_loop_fixture_asyncgen_error and \
not test_event_loop_already_closed and \
not test_event_loop_fixture_handles_unclosed_async_gen'"
%pytest
%else
%pyproject_check_import
%endif


%files -n python3-pytest-asyncio -f %{pyproject_files}
%doc README.rst


%changelog
## START: Generated by rpmautospec
* Wed Jun 18 2025 Python Maint <python-maint@redhat.com> - 0.26.0-3
- Bootstrap for Python 3.14.0b3 bytecode

* Mon Jun 02 2025 Python Maint <python-maint@redhat.com> - 0.26.0-2
- Bootstrap for Python 3.14

* Thu May 22 2025 Karolina Surma <ksurma@redhat.com> - 0.26.0-1
- Update to 0.26.0

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.24.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Tue Dec 03 2024 Carl George <carlwgeorge@fedoraproject.org> - 0.24.0-1
- Update to version 0.24.0 rhbz#2281485

* Sat Oct 12 2024 Carl George <carlwgeorge@fedoraproject.org> - 0.23.8-1
- Update to version 0.23.8

* Wed Jul 24 2024 Miroslav Suchý <msuchy@redhat.com> - 0.23.6-5
- convert ASL 2.0 license to SPDX

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.23.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sat Jun 08 2024 Python Maint <python-maint@redhat.com> - 0.23.6-3
- Rebuilt for Python 3.13

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 0.23.6-2
- Bootstrap for Python 3.13

* Tue Apr 30 2024 Tomáš Hrnčiar <thrnciar@redhat.com> - 0.23.6-1
- Update to 0.23.6

* Wed Mar 13 2024 Sandro <devel@penguinpee.nl> - 0.23.5.post1-1
- Update to 0.23.5.post1 (RHBZ#2222251)

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.21.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.21.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.21.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sun Jul 02 2023 Python Maint <python-maint@redhat.com> - 0.21.0-4
- Rebuilt for Python 3.12

* Tue Jun 13 2023 Python Maint <python-maint@redhat.com> - 0.21.0-3
- Bootstrap for Python 3.12

* Tue Apr 25 2023 Julien Enselme <jujens@jujens.eu> - 0.21.0-2
- Add missing sources

* Tue Apr 25 2023 Julien Enselme <jujens@jujens.eu> - 0.21.0-1
- Update to 0.21.0

* Wed Feb 15 2023 Yaakov Selkowitz <yselkowitz@fedoraproject.org> - 0.20.3-3
- Disable tests by default in all RHEL builds

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.20.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Dec 21 2022 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 0.20.3-1
- Update to 0.20.3

* Sat Nov 12 2022 Julien Enselme <jujens@jujens.eu> - 0.20.2-1
- local build

* Tue Oct 25 2022 Federico Pellegrin <fede@evolware.org> - 0.20.1-1
- Update to 0.20.1

* Tue Aug 02 2022 Charalampos Stratakis <cstratak@redhat.com> - 0.19.0-1
- Update to 0.19.0

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.18.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 0.18.3-3
- Rebuilt for Python 3.11

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 0.18.3-2
- Bootstrap for Python 3.11

* Wed Apr 20 2022 Carl George <carl@george.computer> - 0.18.3-1
- Renamed from python3-pytest-asyncio (resolves: rhbz#2076825)
## END: Generated by rpmautospec
